SoNodeKitDetail(3IV)

NAME
SoNodeKitDetail — stores detail information about a nodekit

INHERITS FROM
SoDetail > SoNodeKitDetail

SYNOPSIS
#include <Inventor/details/SoNodeKitDetail.h>

Methods from class SoNodeKitDetail:

SoNodeKitDetail()
virtual
~SoNodeKitDetail()
SoBaseKit *
getNodeKit() const
SoNode *
getPart() const
const SbName &
getPartName() const

Methods from class SoDetail:

SoDetail *
copy() const
static SoType
getClassTypeId()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a nodekit. This consists of a pointer to the nodekit, a pointer to the child part within the nodekit, and the name of the child part.

During a pick action, each nodekit along the picked path creates its own SoNodeKitDetail. Together, the full set of details gives you complete picture of the pickpath.

Since nodekits have hidden children (See the reference page for SoBaseKit), a regular SoPath ends at the topmost nodekit in the path. If you cast the pickpath from an SoPath pointer to an SoNodeKitPath pointer, you can then retrieve all nodekits along the path and examine their corresponding details.

METHODS

SoNodeKitDetail()
virtual
~SoNodeKitDetail()
Constructor and destructor.

SoBaseKit *
getNodeKit() const
Returns a pointer to the nodekit that created this detail.

SoNode *
getPart() const
Returns a pointer to the part selected within the nodekit that created this detail.

const SbName &
getPartName() const
Returns the name of the part selected within the nodekit that created this detail. (See SoRayPickAction in the ACTIONS section of the SoBaseKit reference page for more information).

SEE ALSO
SoBaseKit, SoNodeKitPath, SoDetail, SoPickedPoint